%define name	gbox_applet
%define ver 	0.7.0
%define RELEASE 1
%define rel 	%{?CUSTOM_RELEASE} %{!?CUSTOM_RELEASE:%RELEASE}
%define prefix  /usr
%define sysconfdir /etc

Summary: a mbox mail checker applet for gnome
Name: %name
Version: %ver
Release: %rel
Source: ftp://gbox-applet.sourceforge.net/pub/gbox-applet/gbox_applet-%{ver}.tar.gz
Copyright: GPL
Group: Applications/Internet
BuildRoot: /var/tmp/%{name}-buildroot
Prefix: %{prefix}
Docdir: %{prefix}/doc


%description
A Gnome applet which monitors several mailbox files of type mbox. Each
mailbox can be assigned to a priority between 0 and 2 and it can have
its own time interval for checking. For each priority there is a
different icon. As additional Information Gbox can count the mails in
the boxes and show the subject and/or the sender of each mail in the
applet's menu. A tooltip can shows a summary of the information in
three different kinds.

%prep
%setup

%build
CFLAGS="$RPM_OPT_FLAGS" ./configure --prefix=%{prefix} --localstatedir=/var/lib --sysconfdir=%{sysconfdir}
make CFLAGS="$RPM_OPT_FLAGS"

%install
rm -rf $RPM_BUILD_ROOT
mkdir -p $RPM_BUILD_ROOT%{prefix}/share/pixmaps/gbox_applet
mkdir -p $RPM_BUILD_ROOT%{prefix}/share/applets/Network
mkdir -p $RPM_BUILD_ROOT%{sysconfdir}/CORBA/servers
make prefix=$RPM_BUILD_ROOT%{prefix} sysconfdir=$RPM_BUILD_ROOT%{sysconfdir} install

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
%doc ABOUT-NLS AUTHORS COPYING ChangeLog INSTALL NEWS README TODO 
%{prefix}/bin/gbox_applet
%{prefix}/share/pixmaps/gbox_applet/*
%{prefix}/share/applets/Network/gbox_applet.desktop
%{sysconfdir}/CORBA/servers/gbox_applet.gnorba

%changelog
* Thu Nov 16 2000 Andreas Buesching <crunchy@tzi.de> 0.6.2-1
- some small changes concerning %{sysconfdir}
* Fri May 26 2000 Ian Campbell <ijc25@cam.ac.uk> 0.6.1-1
- it works better with non-root builds and such like
* Wed Feb 2 2000 Glenn Attwood <gattwood@home.com> 0.4.0-1
- first rpm
# end of file
