#include "gbox_mailbox.h"
#include <gtk/gtk.h>
#include <applet-widget.h>

typedef struct _gbox_menu      GboxMenu;
typedef struct _gbox_menu_item GboxMenuItem;

struct _gbox_menu_item {
  int          item_count;
  int          view_type;
  gchar        *nickname;
  GboxMenuItem *next;
};

struct _gbox_menu {
  GboxMenuItem *menu_first;
  GboxMenuItem *menu_last;
  int          menu_count;
  AppletWidget *applet;
};

GboxMenuItem *gbox_menu_item_new(gchar *name);

GboxMenu *gbox_menu_new(AppletWidget *app);
void gbox_menu_free(GboxMenu *menu);
void gbox_menu_add_box(GboxMenu *menu, MailBox *box);
void gbox_menu_remove_box(GboxMenu *menu, MailBox *box);
void gbox_menu_remove_item(GboxMenu *menu, GboxMenuItem *item);
GboxMenuItem *gbox_menu_get_item(GboxMenu *menu, gchar *name);

void gbox_menu_dummy_callback(AppletWidget *app, gpointer data);

gchar *print_mime(gchar *text);


