#ifndef GBOX_PROP_H
#define GBOX_PROP_H

#include <gtk/gtk.h>

typedef struct _page_global  PropPageGlobal;
typedef struct _page_icons   PropPageIcons;
typedef struct _page_misc    PropPageMisc;
typedef struct _page_default PropPageDefault;

struct _page_global {
  GtkWidget *clist;
  GtkWidget *mailprog;
  GtkWidget *box_add, *box_remove, *box_edit, *box_copy;
  GtkWidget *btn_move_up, *btn_move_down;
};

struct _page_icons {};

struct _page_misc {
  GtkWidget *chk_beep;
  GtkWidget *chk_tooltip;
  GtkWidget *chk_frame;
  GtkWidget *cbo_tooltip_type;
  GtkWidget *cbo_tooltip_pos;
  GtkWidget *chk_mail_count;
  GtkWidget *font_picker;
  GtkWidget *spin_prio;
  GtkWidget *spin_x_pos;
  GtkWidget *spin_y_pos;
};

struct _page_default {
  GtkWidget *mailbox;
  GtkWidget *nickname;
  GtkWidget *interval;
  GtkWidget *btn_prio;
  GtkWidget *chk_show_in_menu;
  GtkWidget *cbo_menu_type;
  GtkWidget *btn_new_mailbox;
};

#endif
